---
title: "Increment or decrement a field in a Tulip Table record"
slug: "increment-or-decrement-a-field-in-a-tulip-table-record"
updated: 2026-04-02T17:37:08Z
published: 2026-04-02T17:37:27Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.tulip.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Increment or decrement a field in a Tulip Table record

Patch/tables/{tableId}/records/{recordId}/increment

Increment or decrement an integer or float field of a Tulip Table Record. A decrement is simply a negative increment. The tableId must exist. The recordId must be associated with the tableId. The field name must match the column name of the table. The respective column type in the table must be incrementable. The value type must be incrementable (so an integer or float). If the field type is an integer, then the value can be either an integer or a float, but if it is a float, it will be rounded off (e.g. 2.7 rounds up to 3). If the field type is a float, then the value type can also be either an integer or a float. The record's `_updatedAt` field will be updated to the current time. If the value to be incremented has not been set yet, then it will be treated like an increment on a 0 value. Requires the `tables:write` API key scope.

When incrementing a Tulip number field (*not* integer field), you may specify the increment value as either a JSON number or a string. If specifying the number as a string, it must be of format `&quot;[-]xx[.yyy]&quot;`. This corresponds to the JSON number format, except that the exponent component is not allowed (in other words, you cannot use scientific notation). If you specify the value a string, it may contain trailing zeros, which will be preserved in the operation. If you specify the value as a JSON number, the operation will not preserve trailing zeros, including any that may have been in the value before this increment operation.

SecurityHTTPType basic

Access to the Tulip API requires the use of [HTTP Basic Authentication](https://datatracker.ietf.org/doc/html/rfc7617) using the credentials of an active [Tulip API Token](https://support.tulip.co/docs/set-up-a-tulip-api). All requests require the `Authorization` HTTP header with the `Basic` scheme to provide API credentials unless otherwise noted.

API tokens can be configured with a set of *scopes* which determine what parts of the API that specific token has access to. Security best practices dictate that API credentials be given the minimum set of capabilities required to fulfill their intended purpose. For example, an API token created for use in an integration that is only designed to use the Tables API should probably only be given the `tables:read` and `tables:write` scopes. In this way you can minimize risk in the event that API credentials are compromised. API endpoints will document what API token scopes are required to access that endpoint in their descriptions. If a request is made to an endpoint with an API token which does not have the required scopes, the response will be an authorization error.

Header parametersX-Tulip-Number-Formatstring

The format that Tulip should use in the response when formatting Tulip numbers. If omitted or set to `float`, Tulip will format numbers as JSON numbers. If set to `decimal`, Tulip will format numbers as strings representing the decimal representation of the number, like `&quot;1.20&quot;`. Tulip will only output trailing zeros when using `decimal` formatting.

This header only affects the response format. The value written is determined solely by the request body (see body description).

Note that this header only affects Tulip numbers. Other types, including Tulip integers, are unaffected.

Valid values[
  "decimal",
  "float"
]Default"float"

Path parameterstableIdstringRequired

The id of a Tulip Table.

Pattern^[a-zA-Z0-9_]+$Exampleg56RCoZCtzv7borvp
recordIdstringRequired

The id of a Tulip Table record.

Pattern^[\S]+( +[\S]+)*$Examplea record id

Body parameters

Field to increment or decrement

<select class='api-response-data' aria-label='Media type'><option value='d742f3c2-25aa-41b7-b00f-af5cf322bf19'>application/json</option>
</select>object  fieldNamestring    

The field (column) to increment or decrement.

valuenumber    

The amount to increment or decrement by.

Responses200

The field was incremented or decremented successfully.

<select class='api-response-data' aria-label='Media type'><option value='c36f3859-13b2-45dc-9098-9f33f6261aca'>application/json</option>
</select>object  

A single record stored in a Tulip Table. The record object will include the names and values of all columns of the Table that are not hidden, in addition to the record's sequence number, created timestamp, and last updated timestamp.

Example{
  "_sequenceNumber": 15,
  "_createdAt": "2019-02-08T20:16:31Z",
  "_updatedAt": "2019-02-08T20:16:31Z",
  "id": "bike-a",
  "ahvbb_model_number": "AAA",
  "auznd_color": "blue",
  "irrip_completed": true,
  "umiyk_durability_test_duration": 123000
}_sequenceNumberinteger    

A monotonically increasing unique identifier for this record.

_createdAtstring  (date-time)    
_updatedAtstring  (date-time)    

400

The request was malformed. This could mean that headers, query parameters, or the request body was unable to be parsed or had unexpected values.

<select class='api-response-data' aria-label='Media type'><option value='a64e2804-0b31-478b-b9f4-05cf79e6282d'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

401

The request was made unauthorized. HTTP Basic Authorization using a Tulip API Key is required for use of the API.

<select class='api-response-data' aria-label='Media type'><option value='ddebc108-2a81-404d-9b9c-62806c5f258f'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

403

The provided authentication info was rejected. The response will provide additional details.

<select class='api-response-data' aria-label='Media type'><option value='d91159e3-8aa6-4760-a022-c5b0bd8ae493'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

404

The requested database entry was not found.

<select class='api-response-data' aria-label='Media type'><option value='b266b806-183b-429b-ab17-bd3d3075fc46'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

422

The request was syntactically sound, but could not be processed due to a logical problem.

<select class='api-response-data' aria-label='Media type'><option value='b24cee54-2e98-416c-80d3-8efd656236b4'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

500

The server encountered an unexpected error.

<select class='api-response-data' aria-label='Media type'><option value='e19a4fe7-1851-451d-8f83-ae746e24ab71'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring
